Subject: LIFE LOBBY HIRES NEW LEGISLATIVE ADVOCATE
From: Laurie McBride <[email-masked]>
Date: Wed, 16 Jul 1997 16:06:06

July 16, 1997
for immediate release

LIFE LOBBY HIRES NEW LEGISLATIVE ADVOCATE
Eric Astacaan Joins LIFE Staff
 
SACRAMENTO -- Eric Astacaan will join LIFE Lobby's public policy staff on August 1, 1997.  He will serve as LIFE's Legislative Advocate with primary responsibility for HIV/AIDS and healthcare issues of concern to lesbian, gay, bisexual and transgender communities.  

Eric is moving to LIFE from the Los Angeles Gay & and Lesbian Community Center, where he worked as a public policy associate.  He is a lawyer by training, with undergraduate work in management systems.  He also has extensive volunteer experience in community work, from AIDS prevention to civil rights.

 "His legal background and expertise in the issues make him an ideal choice for the position," says Laurie McBride, executive director of LIFE Lobby. "He's bright, articulate and has the passion for this work that will make him an incredible advocate for the communities we represent."

Besides his work with the Los Angeles Gay & Lesbian Center, he has worked as a community health educator for the Los Angeles Asian Pacific AIDS Intervention Team. Graduating magna cum laude from Park College in Missouri and the University of Iowa College of Law, he has worked as a law clerk for various firms.  Eric also served in the U.S. Air Force.

"As a gay man, I've had to live with the knowledge of how AIDS has
severely impacted our lives," Astacaan said. " Having lost dear friends myself, I am very disturbed at the slow response of our local, state and federal governments.  In my new position with LIFE, I will have the opportunity to work my passion...  from care and treatment issues to prevention."

Fluent in Tagalog, the official language of the Philippines, Astacaan has been an activist for the Gay Asian Pacific Support Network in Los Angeles and the Gay Asian Pacific Alliance in San Francisco.  He has volunteered his legal services to the Lambda Legal Defense & Education Fund in Los Angeles as well as other civil rights organizations.

LIFE: California's Lesbian/Gay and AIDS Lobby has been lobbying on behalf of California's lesbian, gay, bisexual, transgender and HIV-affected
communities since 1986.   LIFE is the oldest and largest institution
representing these communities in California's State Capitol and is proud
to celebrate a decade of service.

###